local xresources = require "beautiful.xresources"
local dpi = xresources.apply_dpi

local g = require("gears")
local naughty = require("naughty")

local vars = require "misc.vars"

local theme = {}

theme.font = vars.font

theme.bg_normal = vars.colors.bg
theme.bg_focus = vars.colors.bg
theme.bg_urgent = vars.colors.bg
theme.bg_minimize = vars.colors.bg
theme.bg_systray = vars.colors.bg

theme.fg_normal = vars.colors.fg
theme.fg_focus = vars.colors.fg
theme.fg_urgent = vars.colors.fg
theme.fg_minimize = vars.colors.fg

theme.useless_gap = dpi(2)
theme.border_width = vars.border_width
theme.border_normal = vars.colors.bright.black
theme.border_focus = vars.colors.bright.black
theme.border_marked = vars.colors.bright.black

theme.titlebar_close_button_normal = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.red, "transparent", 4)
theme.titlebar_close_button_focus = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.red, "transparent", 4)
theme.titlebar_close_button_normal_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.red, "transparent", 4)
theme.titlebar_close_button_focus_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.red, "transparent", 4)

theme.titlebar_minimize_button_normal = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.yellow, "transparent", 4)
theme.titlebar_minimize_button_focus = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.yellow, "transparent", 4)
theme.titlebar_minimize_button_normal_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.yellow, "transparent", 4)
theme.titlebar_minimize_button_focus_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.yellow, "transparent", 4)

theme.titlebar_maximized_button_normal_inactive = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.green, "transparent", 4)
theme.titlebar_maximized_button_focus_inactive = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.green, "transparent", 4)
theme.titlebar_maximized_button_normal_inactive_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.green, "transparent", 4)
theme.titlebar_maximized_button_normal_active = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.green, "transparent", 4)
theme.titlebar_maximized_button_focus_active = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.bright.green, "transparent", 4)
theme.titlebar_maximized_button_normal_active_hover = g.surface.load_from_shape(15, 15, g.shape.rounded_rect, vars.colors.green, "transparent", 4)

theme.notification_icon_size = dpi(32)
theme.notification_border_width = vars.border_width
theme.notification_border_color = theme.border_normal
theme.notification_shape = vars.shape
theme.notification_spacing = theme.useless_gap * 2
                           
naughty.config.presets.critical.bg = theme.bg_normal
naughty.config.presets.critical.timeout = 3
naughty.config.presets.critical.fg = theme.fg_normal
naughty.config.presets.critical.border_color = vars.colors.red
naughty.config.defaults.position = "bottom_right"
naughty.config.defaults.border_width = vars.border_width

theme.tasklist_plain_task_name = true
theme.enable_spawn_cursor = false

return theme

