local wallpaper = require "awful.wallpaper"
local wibox = require "wibox"
local vars = require "misc.vars"
local h = require "misc.helpers"

screen.connect_signal("request::wallpaper", function(s)
    wallpaper {
        bg = vars.colors.dim.bg,
        screen = s,
        widget = {
            widget = wibox.container.place,
            valign = "center",
            halign = "center",
            {
                widget = wibox.widget.textbox,
                font = h.font(1.5),
                markup = table.concat({
                    h.markup_fg(vars.colors.red, "   ___"),
                    h.markup_fg(vars.colors.green, "  /\\  \\"),
                    h.markup_fg(vars.colors.yellow, " /::\\  \\"),
                    h.markup_fg(vars.colors.blue, "/::\\:\\__\\"),
                    h.markup_fg(vars.colors.pink, "\\/\\::/  /"),
                    h.markup_fg(vars.colors.cyan, "   \\/__/")
                }, "\n")
            }
        }
    }
end)
