use mlua::{
    prelude::*,
    LuaSerdeExt,
};
use serde::Serialize;

#[derive(Serialize, Clone)]
pub struct Entry {
    pub message: String,
    pub exec: Option<(String, bool)>,
    // pub icon: char,
    pub provider: String,
}

pub fn entries_to_lua_table(entries: Vec<Entry>, lua: &Lua) -> LuaTable {
    match lua.to_value(&entries).unwrap() {
        LuaValue::Table(t) => t,
        _ => unreachable!(),
    }
}
