local awful = require "awful"
local beautiful = require "beautiful"
local xresources = require "beautiful.xresources"
local dpi = xresources.apply_dpi
local vars = require "misc.vars"
local wibox = require "wibox"
local h = require "misc.helpers"

local taglist = require "ui.statusbar.widgets.taglist"
local clock = require "ui.statusbar.widgets.clock"
local wifi = require "ui.statusbar.widgets.wifi"
local battery = require "ui.statusbar.widgets.battery"
local brightness = require "ui.statusbar.widgets.brightness"
local keyboardlayout = require "ui.statusbar.widgets.keyboardlayout"

screen.connect_signal("request::desktop_decoration", function(s)
    local bar = h.popup {
        placement = function(d)
            local place = awful.placement.left
            return place(d, {
                margins = beautiful.useless_gap * 2
            })
        end,
        -- ontop = true,
        minimum_width = vars.bar_size,
        maximum_width = vars.bar_size * 20,
        minimum_height = s.geometry.height - (beautiful.useless_gap * 4 + vars.border_width * 2),
        widget = {
            {
                {
                    widget = wibox.container.place,
                    valign = "top",
                    {
                        widget = wibox.widget.textbox,
                        text = "",
                        font = h.font(1.5)
                    }
                },
                taglist,
                {
                    widget = wibox.container.place,
                    valign = "bottom",
                    {
                        layout = wibox.layout.fixed.vertical,
                        spacing = vars.padding * 2,
                        brightness,
                        battery,
                        wifi,
                        keyboardlayout,
                        clock
                    },
                },
                layout = wibox.layout.align.vertical,
                expand = "outside",
            },
            -- {
            --     widget = wibox.container.background,
            --     bg = vars.colors.fg,
            --     fg = vars.colors.bg,
            --     visible = false,
            --     {
            --         widget = wibox.widget.textbox,
            --         text = "this is gay"
            --     }
            -- },
            -- spacing = vars.big_padding,
            spacing = nil,
            layout = wibox.layout.fixed.horizontal
        }
    }

    bar:struts {
        left = dpi(16) + vars.big_padding * 2 + beautiful.useless_gap * 4
    }
end)
